Loading...
Searching...
No Matches
gtsam::traits< float > Struct Reference

## Detailed Description

float

Inheritance diagram for gtsam::traits< float >:

## Additional Inherited Members

Static Public Member Functions inherited from gtsam::internal::ScalarTraits< float >
static void | Print (float m, const std::string &str="")
static bool | Equals (float v1, float v2, double tol=1e-8)
static TangentVector | Logmap (float m, ChartJacobian H=boost::none)
static float | Expmap (const TangentVector &v, ChartJacobian H=boost::none)
static TangentVector | Local (float origin, float other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static float | Retract (float origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static float | Identity ()
Static Public Member Functions inherited from gtsam::internal::VectorSpaceImpl< float, 1 >
static TangentVector | Logmap (const float &m, ChartJacobian Hm=boost::none)
static float | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static float | Compose (const float &v1, const float &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static float | Between (const float &v1, const float &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static float | Inverse (const float &v, ChartJacobian H=boost::none)
static int | GetDimension (const float &)
static TangentVector | Local (const float &origin, const float &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static float | Retract (const float &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
Public Types inherited from gtsam::internal::ScalarTraits< float >
typedef vector_space_tag | structure_category
enum |
typedef float | ManifoldType
typedef Eigen::Matrix< double, 1, 1 > | TangentVector
typedef OptionalJacobian< 1, 1 > | ChartJacobian
typedef additive_group_tag | group_flavor
typedef Eigen::Matrix< double, N, 1 > | TangentVector
typedef OptionalJacobian< N, N > | ChartJacobian
typedef Eigen::Matrix< double, N, N > | Jacobian

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/VectorSpace.h